import {Component, ContentChild, ContentChildren, ElementRef, OnInit, TemplateRef, ViewChild} from '@angular/core';
import {TabbedWizardComponent} from "../tabbed-wizard/tabbed-wizard.component";

@Component({
  selector: 'wizard-tab',
  templateUrl: './wizard-tab.component.html',
  styleUrls: ['./wizard-tab.component.scss']
})
export class WizardTabComponent implements OnInit {
  @ContentChild('tabThumbnail')
  public thumbnailTemplate: TemplateRef<ElementRef>;
  
  @ContentChild('tabContent')
  public contentTemplate: TemplateRef<ElementRef>;
  
  public active = false;
  public completed = false;
  public isCurrentStep = false;
  public index: number = 0;
  
  constructor(wizard: TabbedWizardComponent) {
    wizard.addTab(this);
  }

  ngOnInit() {}
  
}
